phing-tasks-system-condition

# Class: OsCondition Source Location: /tasks/system/condition/OsCondition.php
### Class Overview
Condition that tests the OS type. #### Author(s): Andreas Aderhold <andi@binarycloud.com> #### Version: $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $ #### Copyright: © 2001,2002 THYRELL. All rights reserved Implements interfaces: Condition | ### Methods evaluate setFamily
### Class Details [line 33] Condition that tests the OS type. #### Tags:
author: | Andreas Aderhold <andi@binarycloud.com>
version: | $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $
copyright: | © 2001,2002 THYRELL. All rights reserved
access: | public
[ Top ] ### Class Methods ### method evaluate [line 41]
`void evaluate( )`
Implementation of: Condition::evaluate() [ Top ] ### method setFamily [line 37]
`void setFamily( $f)`
#### Parameters:
| $f |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:20 +0200 by phpDocumentor 1.4.3